package test.jms;

import java.util.Properties;

import javax.jms.Connection;
import javax.jms.ConnectionFactory;
import javax.jms.MessageProducer;
import javax.jms.Queue;
import javax.jms.Session;
import javax.jms.TextMessage;
import javax.naming.InitialContext;
import javax.naming.NamingException;


public class InitialProducer {

	public static void main(String... args) throws Exception {
		InitialContext ctx = getContext("dskiles");
		
		ConnectionFactory cf = (ConnectionFactory)ctx.lookup("/ConnectionFactory");
		
		Queue pq = (Queue)ctx.lookup("queue/objectFileProcessorQueue");
		
		Connection conn = cf.createConnection();
		
		Session s = conn.createSession(false, Session.AUTO_ACKNOWLEDGE);
		
		MessageProducer producer = s.createProducer(pq);
		
		TextMessage tm = null;
		
		conn.start();
		for(int i = 0; i < 100; i++) {
			tm = s.createTextMessage("Message " + i);
			tm.setStringProperty("LEGAL_NODES", "");
			producer.send(tm);
		}
		
		s.close();
		conn.close();
		ctx.close();
	}
	
	public static InitialContext getContext(final String host) throws NamingException {
		Properties props = new Properties();
		props.put("java.naming.factory.initial", "org.jnp.interfaces.NamingContextFactory");
		props.put("java.naming.provider.url", "jnp://" + host + ":1099");
		props.put("java.naming.factory.url.pkgs", "org.jboss.naming:org.jnp.interfaces");
		
		return new InitialContext(props);
	}
}
